/*-
 * Copyright (c) 2009 Michael Pounov <misho@aitbg.com>
 *   AITNET - Software & Network Solutions - All rights reserved.
 * Made for OpenFest 2009, lecture "Authentication gateways"
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer
 *    in this position and unchanged.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR(S) ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR(S) BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: defs.h,v 1.1.1.1 2009/10/16 15:40:51 misho Exp $
 */

#ifndef __DEFS_H
#define __DEFS_H


#define MAX_STR		256
#define MAX_FQDN	64

#define MODE_INST	1

#define GRP_GID		63
#define GRP_AUTHPF	"authpf"
#define CLASS_AUTHPF	"authpf"
#define CLASS_FILE	"/etc/login.conf"
#define CLASS_MKDB	"/usr/bin/cap_mkdb"
#define BIN_AUTHPF	"/usr/sbin/authpf"
#define BIN_PERM	06555
#define FSTAB_FILE	"/etc/fstab"
#define RC_LOCAL	"/etc/rc.local"


struct tagArgs {
	int	nMode;
	char	szHostname[MAX_FQDN];
	u_short	nGID;
};


extern struct tagArgs	args;


#endif
