/*-
 * Copyright (c) 2009 Michael Pounov <misho@aitbg.com>
 *   AITNET - Software & Network Solutions - All rights reserved.
 * Made for OpenFest 2009, lecture "Authentication gateways"
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer
 *    in this position and unchanged.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR(S) ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR(S) BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: dirs.c,v 1.1.1.1 2009/10/16 15:40:51 misho Exp $
 */

#include "global.h"


int CreateDirs(char * __restrict ch)
{
	const char *Dirz[] = { "/var/authpf", "/etc/authpf", 
				"/etc/authpf/banned", "/etc/authpf/users", NULL };
	const mode_t Modez[] = { 00770, 00755, 00755, 00755, 0 };
	register int i;
	int res;

	for (i = 0; Dirz[i] && Modez[i]; i++) {
		printf("(%d) Create directory %s ... ", ++*ch, Dirz[i]);
		res = mkdir(Dirz[i], Modez[i]);
		if (res == -1 && errno != EEXIST) {
			printf("error mkdir #%d - %s\n", errno, strerror(errno));
			return -1;
		}
		printf("#%d\n", abs(res));
	}

	return 0;
}
